package com.javaseleniumtemplate.flows;

import com.javaseleniumtemplate.pages.LancamentoSaidaPage;

public class LancamentoSaidaFlows {
    LancamentoSaidaPage lancamentoSaidaPage;


    public LancamentoSaidaFlows(){
        lancamentoSaidaPage = new LancamentoSaidaPage();
    }
    public void aplicarFiltro(String status, String unidade, String remetente, String serie) {
        lancamentoSaidaPage.preencherFiltroStatus(status);
        lancamentoSaidaPage.preencherFiltroUnidade(unidade);
        lancamentoSaidaPage.preencherFiltroRemetente(remetente);
        lancamentoSaidaPage.preencherFiltroSerie(serie);
        lancamentoSaidaPage.clicarAplicarFiltro();

    }
    public void lançarProduto(String nomeProduto, String quantidadeProduto, String valorProduto){
        lancamentoSaidaPage.clicarAdicionarProduto();
        lancamentoSaidaPage.clicarFieldProduto();
        lancamentoSaidaPage.preencherNomeProduto(nomeProduto);
        lancamentoSaidaPage.clicarEscolherProduto();
        lancamentoSaidaPage.clicarPesquisaLoteProduto();
        lancamentoSaidaPage.clicarEscolherLoteProduto();
        lancamentoSaidaPage.clicarConfirmarProduto();
        lancamentoSaidaPage.preencherQuantidadeProduto(quantidadeProduto);
        lancamentoSaidaPage.preencherValorProduto(valorProduto);
        lancamentoSaidaPage.clicarSalvarProduto();
        lancamentoSaidaPage.clicarVoltarBtn();
        }

    public void lançarProdutoDois(String nomeProdutoDois, String quantidadeProduto, String valorProduto){
        lancamentoSaidaPage.clicarAdicionarProduto();
        lancamentoSaidaPage.clicarFieldProduto();
        lancamentoSaidaPage.preencherNomeProdutoDois(nomeProdutoDois);
        lancamentoSaidaPage.clicarEscolherProdutoDois();
        lancamentoSaidaPage.clicarPesquisaLoteProduto();
        lancamentoSaidaPage.clicarEscolherLoteProduto();
        lancamentoSaidaPage.clicarConfirmarProduto();
        lancamentoSaidaPage.preencherQuantidadeProduto(quantidadeProduto);
        lancamentoSaidaPage.preencherValorProduto(valorProduto);
        lancamentoSaidaPage.clicarSalvarProduto();
        lancamentoSaidaPage.clicarVoltarBtn();
        }

    public void lançarProdutoTres(String nomeProdutoTres, String quantidadeProduto, String valorProduto){
        lancamentoSaidaPage.clicarAdicionarProduto();
        lancamentoSaidaPage.clicarFieldProduto();
        lancamentoSaidaPage.preencherNomeProdutoTres(nomeProdutoTres);
        lancamentoSaidaPage.clicarEscolherProdutoTres();
        lancamentoSaidaPage.clicarPesquisaLoteProduto();
        lancamentoSaidaPage.clicarEscolherLoteProduto();
        lancamentoSaidaPage.clicarConfirmarProduto();
        lancamentoSaidaPage.preencherQuantidadeProduto(quantidadeProduto);
        lancamentoSaidaPage.preencherValorProduto(valorProduto);
        lancamentoSaidaPage.clicarSalvarProduto();
        lancamentoSaidaPage.clicarVoltarBtn();
        }

    }
