package com.javaseleniumtemplate.flows;

import com.javaseleniumtemplate.pages.MainPage;

public class MainFlows {

    MainPage mainPage;

    public MainFlows(){
        mainPage = new MainPage();
    }

    public void navegarParaLancamentoDeSaida(){
        mainPage.clicarEmMenuPrincipal();
        mainPage.clicarEmDocumentosFiscais();
        mainPage.clicarEmDocumentosFiscaisSaidas();
        mainPage.clicarEmDocumentosFiscaisSaidasLancamentos();
        mainPage.clicarEmDocumentosFiscaisSaidasLancamentosLancamentoDeSaida();
    }
    public void navegarParaLancamentoDeEntrada(){
        mainPage.clicarEmMenuPrincipal();
        mainPage.clicarEmDocumentosFiscais();
        mainPage.clickDocsFiscaisEntrada();
        mainPage.clickDocsFiscaisEntradaLanc();
        mainPage.clickDocsFiscaisEntrada_LancEntrada();
    }
    public void navegarParaImportacaoDeXML() {
        mainPage.clicarEmMenuPrincipal();
        mainPage.clicarEmDocumentosFiscais();
        mainPage.clickDocsFiscaisEntrada();
        mainPage.clickDocsFiscaisEntradaLanc();
        mainPage.clickDocsFiscaisEntrada_Importacao();
    }
    public void navegarParaRelacionamentoDeItens(){
        mainPage.clicarEmMenuPrincipalDeLancEntrada();
        mainPage.clickParametrizacao();
        mainPage.clickDocsFiscais();
        mainPage.clickDocFiscaisEntrada();
        mainPage.clickIntegracao();
        mainPage.clickRelacProdForn();
    }
    public void excluirRelacProdForn(String fornecedor){
        mainPage.clickProdAgua();
        mainPage.excluirRelac();
        mainPage.popupSim();
        mainPage.clickProdHela();
        mainPage.excluirRelac();
        mainPage.popupSim();
    }
    public void deslogarErp(){
        mainPage.clicarEmMenuPrincipal();
        mainPage.menuSair();
        mainPage.menuSairPopup();
   }

}
